Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface Document

public interface Document
extends Node

The `Document` interface represents the entire HTML or XML document. Conceptually, it is the root of the document tree, and provides the primary access to the document's data.

Since elements, text nodes, comments, processing instructions, etc. cannot exist outside the context of a `Document`, the `Document` interface also contains the factory methods needed to create these objects. The `Node` objects created have a `ownerDocument` attribute which associates them with the `Document` within whose context they were created.

Property Summary
`doctype` | getDoctype | The Document Type Declaration (see `DocumentType`) associated with this document. For HTML documents as well as XML documents without a document type declaration this returns `null`. The DOM Level 1 does not support editing the Document Type Declaration, therefore `docType` cannot be altered in any way.
`implementation` | getImplementation | The `DOMImplementation` object that handles this document. A DOM application may use objects from multiple implementations.
`documentElement` | getDocumentElement | This is a convenience attribute that allows direct access to the child node that is the root element of the document. For HTML documents, this is the element with the tagName "HTML".

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Attr` | `createAttribute(java.lang.String name)` Creates an `Attr` of the given name.
`CDATASection` | `createCDATASection(java.lang.String data)` Creates a `CDATASection` node whose value is the specified string.
`Comment` | `createComment(java.lang.String data)` Creates a `Comment` node given the specified string.
`DocumentFragment` | `createDocumentFragment()` Creates an empty `DocumentFragment` object.
`Element` | `createElement(java.lang.String tagName)` Creates an element of the type specified.
`EntityReference` | `createEntityReference(java.lang.String name)` Creates an EntityReference object.
`ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)` Creates a `ProcessingInstruction` node given the specified name and data strings.
`Text` | `createTextNode(java.lang.String data)` Creates a `Text` node given the specified string.
`DocumentType` | `getDoctype()` Returns the value of the `doctype` property.
`Element` | `getDocumentElement()` Returns the value of the `documentElement` property.
`NodeList` | `getElementsByTagName(java.lang.String tagname)` Returns a `NodeList` of all the `Element`s with a given tag name in the order in which they would be encountered in a preorder traversal of the `Document` tree.
`DOMImplementation` | `getImplementation()` Returns the value of the `implementation` property.

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Method Detail

### getDoctype

    public DocumentType getDoctype()

  Returns the value of the `doctype` property.

### getImplementation

    public DOMImplementation getImplementation()

  Returns the value of the `implementation` property.

### getDocumentElement

    public Element getDocumentElement()

  Returns the value of the `documentElement` property.

### createElement

    public Element createElement(java.lang.String tagName)
                          throws DOMException

  Creates an element of the type specified. Note that the instance returned implements the Element interface, so attributes can be specified directly on the returned object.

  Parameters:
    `tagName` - The name of the element type to instantiate. For XML, this is case-sensitive. For HTML, the `tagName` parameter may be provided in any case, but it must be mapped to the canonical uppercase form by the DOM implementation.
  Returns:
    A new `Element` object.
  Throws:
    INVALID_CHARACTER_ERR: - Raised if the specified name contains an invalid character.

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  Creates an empty `DocumentFragment` object.

  Returns:
    A new `DocumentFragment`.

### createTextNode

    public Text createTextNode(java.lang.String data)

  Creates a `Text` node given the specified string.

  Parameters:
    `data` - The data for the node.
  Returns:
    The new `Text` object.

### createComment

    public Comment createComment(java.lang.String data)

  Creates a `Comment` node given the specified string.

  Parameters:
    `data` - The data for the node.
  Returns:
    The new `Comment` object.

### createCDATASection

    public CDATASection createCDATASection(java.lang.String data)
                                    throws DOMException

  Creates a `CDATASection` node whose value is the specified string.

  Parameters:
    `data` - The data for the `CDATASection` contents.
  Returns:
    The new `CDATASection` object.
  Throws:
    NOT_SUPPORTED_ERR: - Raised if this document is an HTML document.

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                             java.lang.String data)
                                                      throws DOMException

  Creates a `ProcessingInstruction` node given the specified name and data strings.

  Parameters:
    `target` - The target part of the processing instruction.
    `data` - The data for the node.
  Returns:
    The new `ProcessingInstruction` object.
  Throws:
    INVALID_CHARACTER_ERR: - Raised if an invalid character is specified.

    NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

### createAttribute

    public Attr createAttribute(java.lang.String name)
                         throws DOMException

  Creates an `Attr` of the given name. Note that the `Attr` instance can then be set on an `Element` using the `setAttribute` method.

  Parameters:
    `name` - The name of the attribute.
  Returns:
    A new `Attr` object.
  Throws:
    INVALID_CHARACTER_ERR: - Raised if the specified name contains an invalid character.

### createEntityReference

    public EntityReference createEntityReference(java.lang.String name)
                                          throws DOMException

  Creates an EntityReference object.

  Parameters:
    `name` - The name of the entity to reference.
  Returns:
    The new `EntityReference` object.
  Throws:
    INVALID_CHARACTER_ERR: - Raised if the specified name contains an invalid character.

    NOT_SUPPORTED_ERR: Raised if this document is an HTML document.

### getElementsByTagName

    public NodeList getElementsByTagName(java.lang.String tagname)

  Returns a `NodeList` of all the `Element`s with a given tag name in the order in which they would be encountered in a preorder traversal of the `Document` tree.

  Parameters:
    `tagname` - The name of the tag to match on. The special value "*" matches all tags.
  Returns:
    A new `NodeList` object containing all the matched `Element`s.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to xml-feedback@java.sun.com
Copyright © 1998-2000 Sun Microsystems, Inc. All Rights Reserved.
Sun Microsystems, Inc.
901 San Antonio Road
Palo Alto, California, 94303, U.S.A.